[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# ENotSupportedException

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when a feature is not supported.

## Declaration

Source position: sysutilh.inc line 225

`type ENotSupportedException = class(Exception)`

## Inheritance

`ENotSupportedException` |  | Exception raised when a feature is not supported.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

ENotSupportedException is an exception raised when a function or procedure is not supported for a certain platform.

This exception class is provided for Delphi compatibility, but is not actually used in FPC.

## See also

Exception |  | Base class of all exceptions.